$bg: rgba(255,255,255, 1);
$fg: rgba(58,58,58, 1);
$linkColor: #0074D9;
$border: 0px solid rgba(230,230,230,1);
$margin: 1rem;
$padding: 1rem 1rem 1rem 1rem;
$lineHeight: 1.4rem;
$boxShadowColor: rgba(58,58,58,0.1);
$boxShadow: 0px -1px 2px $boxShadowColor, 1px 1px 2px $boxShadowColor;
$gradient: linear-gradient(rgba(0,0,0,0.07), rgba(255,255,255,0));
$navFg: rgba(255,255,255, 1);
$navBg: rgba(58,58,58, 0.95);
$navBg: rgba(25,47,66, 0.95);
body * {
  font-family: 'Source Sans Pro', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  line-height: $lineHeight;
}
body {
  background: #efefef;
  color: $fg;

  &:before {
    content: '';
    display: block;
    position: fixed;
    z-index: 0;
    height: 100%;
    width: 100%;
    max-height: 100vh;
    max-width: 100wh;
    top: 0px;
    left: 0px;
    box-shadow: inset 0px 0px 50px rgba(0,0,0,0.55);
  }
}
a {
  color: $linkColor;
  text-decoration: none;
  font-size: 0.85rem;
  opacity: 0.75;
  linear-gradient: ease-in-out 0.6s;
  &:hover {
    linear-gradient: ease-in-out 0.6s;
    opacity: 1;
  }
}
.container {
  width: 90%;
  max-width: 1280px;
  margin: 0px auto;
}
.toolbar {
  position: fixed;
  z-index: 2;
  width: 100%;
  height: 3.75rem;
  padding: 0px;
  vertical-align: middle;
  overflow: hidden;
  background: $navBg;
  color: $navFg;
  box-shadow: 0px 0px 25px rgba(0,0,0,0.25);
}
.toolbar-section {
  position: relative;
  display: inline-block;
  vertical-align: middle;
  
  &:first-child { 
    width: 60%;
  }
  &:last-child {
    width: 35%;
  }
  @media (max-width: 480px) {
    display: block;
    &:last-child {
      display: none;
    }
  }
}
.toolbar-item {
  display: block;
  padding: $padding;
  white-space: nowrap;
}
.form-field {
  text-align: right;
  input {
    font-size: 1rem;
    line-height:1.4rem;
    height: 1.4rem;
    max-width: 100%;
    display: inline-block;
    padding: 4px 7px;
    border: 1px solid lighten($navBg, 5%);
    background: darken($navBg, 02%);
    outline: 0px;
    color: lighten($navBg, 50%);
    //$placeholderColor: lighten($navBg, 10%);
    $placeholderColor: rgba(255,255,255,0.35);
    &::-webkit-input-placeholder { color: $placeholderColor; }
    &:-moz-placeholder { color: $placeholderColor; }
    &::-moz-placeholder { color: $placeholderColor; }
    &:-ms-input-placeholder { color: $placeholderColor; }
    
  }
}
.logo { 
  font-family: "Oswald", Helvetica, Arial, sans-serif;
  font-size: 1em;
  letter-spacing: 0.15rem;
  i { font-size: 1.2em; margin-right: 6px; }
}
.dynamic-grid {
  position: relative;
  z-index: 1;
  columns: 240px 3;
  column-gap: 15px;
  &.container {
    padding-top: 6rem;
  }
}
.grid-item {
  position: relative;
  display: inline-block;
  margin: $margin;
  max-width: 100%;
  column-break-inside: avoid;
  .inner {
    padding: $padding;
  }
}
.content-box {
  border: $border;
  background-color: $bg;
  box-shadow: $boxShadow;
  
  &:before {
    content: '';
    position: absolute;
    display: block;
    width: 100%;
    height: 4rem;
    left: 0px;
    top: 0px;
  }
  
}
.content-box-thumb {
  display: block;
  max-width: 100%;
  height: auto;
}
.content-box-header {
  font-size: 1rem;
  margin: 0.75rem 0rem 0rem 0rem;
}
.content-box-blurb {
  font-size: 0.85rem;
  display: block;
  display: -webkit-box;
  margin: 0rem;
  max-width: 100%;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}
.readmore-link { 
  display: block;
  margin: 5px 5px 0px 5px;
  text-align: right;
}
View Compiled

Resources